Bug 592767 - [abrt] crash [@ nsPluginThreadRunnable::nsPluginThreadRunnable]
[abrt] crash [@ nsPluginThreadRunnable::nsPluginThreadRunnable]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:7bbc47010cc29d40867c4495a91...
: Triaged
: 593431 593697 594910 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 16:11 EDT by Claudiomar Rodrigues
Modified: 2010-12-03 09:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (92.62 KB, text/plain)
2010-05-16 16:11 EDT, Claudiomar Rodrigues
no flags Details

  None (edit)
Description Claudiomar Rodrigues 2010-05-16 16:11:46 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.5/firefox
global_uuid: 7bbc47010cc29d40867c4495a91a7eea87eb33b7
kernel: 2.6.32.11-99.fc12.x86_64
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib64/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Claudiomar Rodrigues 2010-05-16 16:11:51 EDT
Created attachment 414403 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-22 23:21:29 EDT
#2  <signal handler called>
No symbol table info available.
#3  nsPluginThreadRunnable::nsPluginThreadRunnable (this=0x7f240fe02c80, 
    instance=0x0, func=<value optimized out>, userData=<value optimized out>)
    at nsNPAPIPlugin.cpp:2468
        lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 
    0x7f2429d0e5b0, mLocked = 1}
        inst = <value optimized out>
#4  0x00000035a3f3b829 in _pluginthreadasynccall (instance=0x0, func=
    0x7f24298ecc50 <_call(void*)>, userData=0x7f241f0facc0)
    at nsNPAPIPlugin.cpp:2514
No locals.
#5  0x00007f24298ed85e in PluginRequestProcessor::call (
    this=<value optimized out>, message_parts=<value optimized out>)
    at /usr/src/debug/icedtea6-1.8/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:330
        result_variant_jniid = Traceback (most recent call last):
  File "/usr/lib64/../share/gdb/python/libstdcxx/v6/printers.py", line 557, in to_string
    return self.val['_M_dataplus']['_M_p'].string (encoding, length = len)
RuntimeError: Cannot access memory at address 0x22dfd0

        instance = 0x0
        window_ptr_str = Cannot access memory at address 0x29



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-22 23:22:30 EDT
*** Bug 593431 has been marked as a duplicate of this bug. ***
Comment 4 Chris Campbell 2010-05-22 23:22:54 EDT
*** Bug 593697 has been marked as a duplicate of this bug. ***
Comment 5 Chris Campbell 2010-05-22 23:23:15 EDT
*** Bug 594910 has been marked as a duplicate of this bug. ***
Comment 6 Chris Campbell 2010-05-22 23:23:48 EDT
Any of you able to list steps to reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Philip Imants Long 2010-05-25 07:14:07 EDT
Package: firefox-3.5.9-2.fc12
Architecture: ppc
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Have several tabs open
2. Try to upload to facebook album
3. Run the applet
4. Crash


Comment
-----
1. Have several tabs open
2. Try to upload to facebook album
3. Run the applet
4. Crash
Comment 8 Chris Campbell 2010-05-25 09:04:29 EDT
Repro steps added, setting keyword and status.

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Sara L. Uckelman 2010-06-09 16:14:27 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Tried to use Facebook's java applet to upload pictures.
2. Cancelled when it stalled.
3. Firefox crashed.
Comment 10 Sara L. Uckelman 2010-06-09 16:57:23 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Try to use FB's java applet photo uploader.
Comment 11 Roel van de Kraats 2010-06-23 06:33:45 EDT
Package: firefox-3.5.9-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
The crash seems to have been caused by a full disk.
Comment 12 Bug Zapper 2010-11-03 10:46:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-03 09:39:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.